<script>
function reproductor(direccion, portada, external_cancion) {
    $('#portada').attr('src', '/portadas/' + portada);
    $('#player').attr('src', '/canciones/' + direccion);
    $('#titulo').val(direccion);
    document.getElementById('player').play();
};

function reproduccion(external) {
    var models = require('./../models/');
    var cancion = models.cancion;
    cancion.findOne({where: {external_id: external}}).then(datos => {
        var reproduccion=datos.reproducciones;
        reproduccion=reproduccion+1;
        var Datos = datos;
        Datos.reproducciones = reproduccion;
        Datos.save().then(function (result) {
            return;
        });
    });
};
</script>  

 <!-- ======= Header ======= -->
  <header id="header">
    <div class="d-flex flex-column">

      <div class="profile">
        <img src="/fotos_perfil/{{info.foto}}" alt="" class="img-fluid rounded-circle">
        <h1 class="text-light"><a href="index.html">{{info.nombres}} {{info.apellidos}}</a></h1>
        <div class="social-links mt-3 text-center">
          <a href="#" class="twitter"><i class="bx bxl-twitter"></i></a>
          <a href="#" class="facebook"><i class="bx bxl-facebook"></i></a>
          <a href="#" class="instagram"><i class="bx bxl-instagram"></i></a>
          <a href="#" class="google-plus"><i class="bx bxl-skype"></i></a>
          <a href="#" class="linkedin"><i class="bx bxl-linkedin"></i></a>
        </div>
      </div>

      <nav id="navbar" class="nav-menu navbar">
        <ul>
          <li><a href="/" class="nav-link scrollto active"><i class="bx bx-home"></i> <span>Inicio</span></a></li>
          <li><a href="/perfil" class="nav-link scrollto"><i class="bx bx-user"></i> <span>Perfil</span></a></li>
          <li><a href="/cancion" class="nav-link scrollto"><i class="bx bx-music"></i> <span>Mis Canciones</span></a></li>
          <li><a href="/album" class="nav-link scrollto"><i class="bx bx-album"></i> <span>Mis Albumes</span></a></li>
          <li><a href="/nuevas_canciones" class="nav-link scrollto"><i class="bx bx-comment-add"></i> <span>Nuevas Canciones</span></a></li>
          <li><a href="/top10" class="nav-link scrollto"><i class="bx bx-award"></i> <span>Top 10</span></a></li>
          {{#if normal}}
          <li><a href="/plan" class="nav-link scrollto"><i class="bx bx-cool"></i> <span>Premium</span></a></li>
          {{/if}}
          {{#if admin}}
          <li><a class="nav-link scrollto"><i class="bx bx-cctv"></i> <span>Administrar</span></a></li>
          <li><a href="/administrarUsuarios" class="nav-link scrollto"><i class="bx bxs-user"></i> <span>Administrar Usuarios</span></a></li>
          <li><a href="/administrarCanciones" class="nav-link scrollto"><i class="bx bxs-music"></i> <span>Administrar Canciones</span></a></li>
          {{/if}}
          <li><a href="/cerrar_sesion" class="nav-link scrollto"><i class="bx bx-log-out"></i> <span>Cerrar Sesión</span></a></li>
        </ul>
      </nav><!-- .nav-menu -->
    </div>
  </header><!-- End Header -->
  
<div class="content content-wrap" style="margin-top: -15px;">
    <div class="header  opacity"  id="fixed_header">
        <div class="row">
            <div class="col-lg-2 col-md-4 col-sm-4">
                <!--   Logo -->
                <div class="logo">
                    <h1>
                        <a href="/" class='imgRedonda' >
                            <img src="images/logob.png" alt="logo">
                        </a>
                    </h1>
                </div>
                <!-- ^ Logo -->
            </div>
            <div class="col-lg-10 col-md-8 col-sm-8">
                <div class="top-sidebar sidebar">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="row">
                                    <div class="col-lg-4 ">
                                    </div>
                                    <div class="col-lg-8">
                                        <div class="font-posts-container" data-tesla-plugin="carousel" data-tesla-container=".tesla-carousel-items" data-tesla-item=">div" data-tesla-rotate="false" data-tesla-autoplay="false" data-tesla-hide-effect="false">
                                            <div class="site-title">
                                                <span class="next"></span>
                                                <span class="prev"></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>  
                            </div>

                            <div class="col-md-4">

                                <!--   search -->
                                <div class="wrap search-wrap ">                                  
                                </div>
                                <!-- ^ search -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--   Main Menu -->
    <div class="wrap nav-main isDown opacity" id="navigation">
        <div class="nav-overlay" id="nav_overlay" style="display:none">
            <div class="nav-button transition">
                <span></span>
                <span></span>
                <span></span>
            </div>
        </div>
        <nav>
            <ul>
                <li id="Inicio" class="menu-item menu-item-type-custom menu-item-object-custom current-menu-item current_page_item menu-item-home menu-item-417"><a href="/" style="margin-top: 50px;">Inicio</a></li>
                <li id="Biblioteca" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-434"><a href="/nuevas_canciones">Descubrir nuevas canciones</a></li>
                <li id="Biblioteca" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-434"><a href="/top10">Top 5</a></li>
                <li id="Lista_de_reproduccion" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-has-children menu-item-405"><a href="/lista_reproduccion">Lista de reproducción</a></li>
                <li id="Mi_perfil" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-430"><a href="/perfil">Mi perfil</a>
                    <ul class="sub-menu">
                        <li id="Canciones" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-413"><a href="/cancion">Mis canciones</a></li>   
                        <li id="Albumes" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-413"><a href="/album">Mis albumes</a> </li>
                    </ul>
                </li>
                {{#if admin}}
                <li id="Biblioteca" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-434"><a href="#">Administrar</a>
                    <ul class="sub-menu">
                        <li id="AdministrarUsuarios" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-413"><a href="/administrarUsuarios">Administrar Usuarios</a></li>   
                        <li id="AdministrarCanciones" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-413"><a href="/administrarCanciones">Administrar Canciones</a></li>
                    </ul>
                </li>
                {{/if}}
            </ul>
        </nav>

        <div class="wrap nav-footer">
            <nav>
                <ul >
                    <li id="cerrar_sesion" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-has-children menu-item-405" style="background: #b80f22; border-radius: 10%;"><a href="/cerrar_sesion">Cerrar Sesión</a></li>
                </ul>
            </nav>
        </div>
    </div>
    <!-- ^ Main Menu -->

    <!-- ================================= END HEADER === -->
</div>
<div class="content-main main-albums">

    <section class="content-section release-section extend">
        <header class="opacity">
            <h2 class="entry-header ">TOP 5</h2>
        </header>
        <div class="wrap content-release opacity extend">
            <div class="container-fluid extend">
                <div class="row extend">

                    <span class="extend-col extend-left"></span>
                    <div class="release-playlist playlist " id="playlist">


                        <table class="table release">
                            <colgroup>
                                <col class="no">
                                <col>
                                <col>
                                <col>
                                <col>
                            </colgroup>

                            <thead>
                                <tr>
                                    <th colspan="2">Cancion</th>
                                    <th>Genero</th>
                                    <th>Album</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each info}}
                                <tr>
                                    <td><div onclick="reproductor('{{direccion}}','{{album.portada}}','{{cancion.external_id}}')" class="track play">{{@index}}</div></td>
                                    <td>{{nombre}}</td>
                                    <td>{{genero}}</td>
                                    <td>{{album.nom_album}}</td>
                                    <td>
                                        <div class="btn-group" >
                                            <button type="button" class="btn btn-danger dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >
                                                <img class="imagen" src="/images/boton.png"  width="30" height="80">
                                            </button>
                                            <div class="dropdown-menu" style="background-color: #d9534f;">
                                                <div class="form-group">
                                                    <a class="dropdown-item" href="#">Añadir a Lista</a>
                                                        {{#each../lista}}
                                                        <form id='formulario' method="POST" action="/agregar_lista">
                                                            <input id="external_cancion" name="external_cancion" type="hidden" value="{{../id}}">
                                                            <input id="external_lista" name="external_lista" type="hidden" value="{{id}}">
                                                            <button type="submit" style="background-color: #d9534f; font-size: 1em;"><a class="dropdown-item">{{nom_lista}}</a> </button>
                                                        </form>
                                                        {{/each}}
                                                </div>
                                                <div class="form-group">
                                                <a class="dropdown-item" href="/canciones/{{direccion}}" download="{{direccion}}">Descargar</a>
                                                </div>
                                                </div>
                                        </div>
                                    </td>
                                </tr>    
                                {{/each}}
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </section>
</div>


<!-- ================================= START FOOTER === -->


<div class="footer footer-wrap opacity">
    <section class="player">
        <div class="row">
            <div class="col-lg-3 col-md-1 col-sm-1">

                <div class="jp-album">
                    <div class="row ">
                        <div class="col-lg-2 col-md-4 col-sm-1">
                            <div class="jp-cover" style="width: 80px;">
                                <img id='portada' src="/portadas/logon.png" style="width: 300px; height: 75px">
                            </div>
                        </div>
                        <div class="col-lg-10 col-md-8 col-sm-11" >
                            <div class="jp-title" style='margin-left: 50px;'>
                                <span class="now-playing">Reproduciendo ahora: </span>
                                
                            </div>
                            <div class="col-lg-2 col-md-4 col-sm-1">
                            
                        </div>
                            <div class="form-group">
                                <style>
                                   .titulo{text-decoration: none;}
                                </style>
                                <MARQUEE  WIDTH="80%" HEIGHT="40" ><input type="text" id='titulo'  class="titulo" value="Seleccione una canción"></MARQUEE>
                            
                            </div>
                            </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-9 col-md-11 col-sm-11 nopadding">
                <div id="jpId"></div>
                <audio id="player" name="player"></audio>
                <div class="jp-audio">
                    <div class="jp-controls-wrap">
                        <div class="jp-controls" id="jp_controls">
                            <img src="/images/min.png" class="imagen" width="70" height="200" onclick="document.getElementById('player').volume -= .1">
                            <img src="/images/play.png" class="imagen" width="70" height="200" onclick="document.getElementById('player').play()">
                            <img src="/images/pause.png" class="imagen" width="70" height="200" onclick="document.getElementById('player').pause()">
                            <img src="/images/stop.png" class="imagen" width="70" height="200" onclick="document.getElementById('player').load()">
                            <img src="/images/max.png" class="imagen" width="70" height="200" onclick="document.getElementById('player').volume += .1">
                        </div>
                    </div>
                </div>
            </div>
<div class="footer">

</div>

                    <!-- ================================= END FOOTER === -->      
